Subject: bug#35495: 27.0.50; Untarring an archive with a keyring.gpg inside

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 May 2019 07:20:47 +0300

> From: Stefan Monnier <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Sat, 11 May 2019 15:55:01 -0400
> 
> >> So this FIXME suggests maybe we should introduce a new file operation
> >> `write-region-literally`?
> > Probably.  But the question of what should that do (since you rejected
> > tweaking inhibit-file-name-operation for that) still stands, I think.
> 
> In the absence of a file-name-handler, it should just defer to write-region.

I'm confused: I thought we were talking about features implemented via
file-name handlers.  jka-compr is, for example.

Or are you saying write-region-literally shouldn't even try file-name
handlers?  That'd be different from what
insert-file-contents-literally does.

> > And I'm not sure we will always want to disable encoding and EOL
> > conversion, so that should be an add-on for "truly" literal I/O.
> 
> I am.

For the present use case, sure.  But we are discussing a more general
solution, right?  The question is, will all of them want to disable
those conversions?